QB_IPCC_GET_BUFFER_SIZE(3)

NAME
qb_ipcc_get_buffer_size - What is the actual buffer size used after the connection.

SYNOPSIS
#include <qb/qbipcc.h>

int32_t qb_ipcc_get_buffer_size(
    qb_ipcc_connection_t   *c   /* connection instance */
);

PARAMS
c connection instance

DESCRIPTION

RETURN VALUE

connection size in bytes or -error code

NOTE

The buffer size is guaranteed to be at least the size of the value given in qb_ipcc_connect, but it is possible the server will enforce a larger size depending on the implementation. If the server side is known to enforce a buffer size, use this function after the client connection is established to retrieve the buffer size in use. It is important for the client side to know the buffer size in use so the client can successfully retrieve large server events.

SEE ALSO

qb_ipcc_send(3), qb_ipcc_sendv_recv(3), qb_ipcc_recv(3), qb_ipcc_event_recv(3), qb_ipcc_connect_async(3), qb_ipcc_fc_enable_max_set(3), qb_ipcc_is_connected(3), qb_ipcc_connect_continue(3), qb_ipcc_auth_get(3), qb_ipcc_sendv(3), qb_ipcc_context_set(3), qb_ipcc_context_get(3), qb_ipcc_verify_dgram_max_msg_size(3), qb_ipcc_connect(3), qb_ipcc_disconnect(3), qb_ipcc_fd_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.